profile/unordered_map File Reference

Go to the source code of this file.

## Classes

class | std::__profile::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >
class | std::__profile::unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc >

## Namespaces

| std
| std::__profile

## Macros

#define | _GLIBCXX_BASE
#define | _GLIBCXX_BASE
#define | _GLIBCXX_PROFILE_UNORDERED_MAP
#define | _GLIBCXX_STD_BASE
#define | _GLIBCXX_STD_BASE

## Functions

template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
bool | std::__profile::operator!= (const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)
template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
bool | std::__profile::operator!= (const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)
template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
bool | std::__profile::operator== (const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)
template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
bool | std::__profile::operator== (const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)
template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
void | std::__profile::swap (unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)
template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
void | std::__profile::swap (unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)

## Detailed Description

This file is a GNU profile extension to the Standard C++ Library.

Definition in file profile/unordered_map.